cdb_read.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <malloc.h>`
`#include <string.h>`
`#include <time.h>`
`#include "isdn_cdb_def.h"`
`#include "hd.h"`

Go to the source code of this file.

## Data Structures

struct | _vendorshortnames_t

## Macros

#define | CDB_DATAVERSION 0x101
#define | MAXCARDS 300
#define | MAXVARIO (MAXCARDS*4)
#define | MAXNAMECNT (MAXCARDS*256)

## Typedefs

typedef int(* | fcmp) (const void *, const void *)

## Functions

void | del_vario (void)
int | new_entry (void)
void | add_current_item (int item, char *val)
void | SortVendors (void)
void | SortCards (void)
void | SortVarios (void)

## Variables

int | max_ce
int | ce_idx
int | max_vario
int | vario_idx
int | name_str_cnt
int | max_name_str_cnt
int | max_ivendor
int | ivendor_idx
char * | name_str
cdb_isdn_card * | cards
cdb_isdn_vario * | varios
cdb_isdn_vendor * | vendors
int * | isdncard_id
int | drvid_cnt
int | drv_subtyp_cnt
int | drv_typ_cnt
int | supported_cnt
int | not_supported

## Macro Definition Documentation

## CDB_DATAVERSION

#define CDB_DATAVERSION 0x101

Referenced by main().

## MAXCARDS

#define MAXCARDS 300

## MAXNAMECNT

#define MAXNAMECNT (MAXCARDS*256)

## MAXVARIO

#define MAXVARIO (MAXCARDS*4)

## Typedef Documentation

## fcmp

typedef int(* fcmp) (const void *, const void *)

## Function Documentation

## add_current_item()

void add_current_item | ( | int | item,
|  | char * | val )

extern

## del_vario()

void del_vario | ( | void |  | ) |

extern

References cards, vario, vario_idx, and varios.

Referenced by add_current_item().

## new_entry()

int new_entry | ( | void |  | ) |

extern

## SortCards()

void SortCards | ( | void |  | ) |

extern

References cards, ce_idx, compare_card(), compare_id(), isdncard_id, vario_idx, and varios.

Referenced by main().

## SortVarios()

void SortVarios | ( | void |  | ) |

extern

References cards, ce_idx, compare_type(), vario, vario_idx, and varios.

Referenced by main().

## SortVendors()

void SortVendors | ( | void |  | ) |

extern

References cards, ce_idx, compare_vendor(), ivendor_idx, and vendors.

Referenced by main().

## Variable Documentation

## cards

cdb_isdn_card* cards

extern

Referenced by add_current_item(), compare_id(), compare_name(), del_vario(), main(), new_entry(), new_vario(), SortCards(), SortVarios(), SortVendors(), WriteCards(), and WriteCards().

## ce_idx

int ce_idx

extern

Referenced by add_current_item(), main(), new_entry(), SortCards(), SortVarios(), SortVendors(), WriteCards(), and WriteCards().

## drv_subtyp_cnt

int drv_subtyp_cnt

extern

Referenced by add_current_item(), and new_vario().

## drv_typ_cnt

int drv_typ_cnt

extern

Referenced by add_current_item(), and new_vario().

## drvid_cnt

int drvid_cnt

extern

Referenced by add_current_item(), and new_vario().

## isdncard_id

int* isdncard_id

extern

Referenced by SortCards(), WriteCards(), and WriteCards().

## ivendor_idx

int ivendor_idx

extern

Referenced by add_vendor(), main(), SortVendors(), WriteVendors(), and WriteVendors().

## max_ce

int max_ce

extern

Referenced by main(), and new_entry().

## max_ivendor

int max_ivendor

extern

Referenced by add_vendor(), and main().

## max_name_str_cnt

int max_name_str_cnt

extern

Referenced by add_name(), and main().

## max_vario

int max_vario

extern

Referenced by main(), and new_vario().

## name_str

char* name_str

extern

Referenced by add_current_item(), add_name(), main(), WriteCards(), WriteNames(), WriteVarios(), and WriteVendors().

## name_str_cnt

int name_str_cnt

extern

Referenced by add_current_item(), add_name(), main(), and WriteNames().

## not_supported

int not_supported

extern

Referenced by add_current_item(), new_entry(), and new_vario().

## supported_cnt

int supported_cnt

extern

Referenced by add_current_item(), and new_vario().

## vario_idx

int vario_idx

extern

Referenced by add_current_item(), del_vario(), main(), new_vario(), SortCards(), SortVarios(), WriteVarios(), and WriteVarios().

## varios

cdb_isdn_vario* varios

extern

Referenced by add_current_item(), del_vario(), main(), new_vario(), SortCards(), SortVarios(), WriteVarios(), and WriteVarios().

## vendors

cdb_isdn_vendor* vendors

extern

Referenced by add_current_item(), add_lname(), add_vendor(), main(), new_entry(), SortVendors(), WriteVendors(), and WriteVendors().